#include <IOKit/IOService.h>
#include "mapMemoryDriverShared.h"

class IOPCIDevice;
class IOMemoryDescriptor;

class MapMemoryDriver : public IOService
{
	
	OSDeclareDefaultStructors( driver_MapMemory );

private:
	IOPCIDevice* fPCIDevice;
	bool requireRoot;
	
public:
	virtual bool start(IOService* provider);
	virtual void stop(IOService* provider);
	bool getRequireRoot() { return requireRoot; }
	IOMemoryDescriptor* copyGlobalMemory(void);
};


