#include <IOKit/IOUserClient.h>
#include "mapMemoryDriver.h"

#define MapMemoryDriverUserClient driver_MapMemoryUserClient


class MapMemoryDriverUserClient : public IOUserClient
{
	
	OSDeclareDefaultStructors( driver_MapMemoryUserClient );
	
private:
	MapMemoryDriver* fDriver;
	bool isRoot;
	
public:
	virtual bool start(IOService* provider);
	virtual void stop(IOService* provider);
	
	virtual IOReturn clientClose(void);
		
	virtual IOReturn clientMemoryForType(UInt32 type,
										 IOOptionBits* options,
										 IOMemoryDescriptor** memory);
};
